import IRequestConfig from "../interface/config/IRequestConfig";
import IServiceConfig from "../interface/config/IServiceConfig";
import IDestructable from "../interface/IDestructable";
import IService from "../interface/IService";
export default abstract class BaseRemoteService implements IService, IDestructable {
    protected serviceConfig: IRequestConfig;
    protected defaultLogConfig: any;
    protected constructor(config: IServiceConfig);
    sendAllLogs<T>(logs: T[]): Promise<Response>;
    preparePayload<T>(logs: T[]): Promise<string>;
    destroy(): void;
    /**
     * Returns object for headers config
     * @example
     * {"Content-Type": "text/plain"}
     */
    protected getHeaders(): any;
}
